iwlwifi firmware

Forum member lluamco reported that later firmware is needed for the iwlwifi wireless driver for the 2.6.30.5 kernel.

It is /usr/lib/firmware/iwlwifi-4965-2.ucode

I have put this into the firmware tarball, also left in the older firmware.

I have modified /etc/modules/firmware.dep.2.6.30.5, added "iwlagn.ko" onto this line:

iwlwifi:iwl3945.ko,iwl4965.ko,iwlagn.ko


Posted on 11 Sep 2009, 8:28


Comments:

Posted on 12 Sep 2009, 11:55 by tempestuous
firmware additions
Barry, the whole Intel wifi firmware collection needs an overhaul.
We need all 5 firmware files from
http://intellinuxwireless.org/?n=Downloads
The iwl3945 module is still a standalone module, but there is no longer a standalone iwl4965 module. It's been incorporated within the iwlagn module, which also supports the 5000AGN and WiFi Link 1000/6000/6050 devices.

And standby, there are a few other firmware files required for newly introduced wifi modules with 2.6.30.
I will investigate further when I can.